// adafruit-Adafruit-Motor-Shield-library-99381df - Version: Latest 
#include <AFMotor.h>

/*
 
*/

AF_DCMotor peltier1(1, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier2(2, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier3(3, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier4(4, MOTOR12_64KHZ); // create peltier, 64KHz pwm

char val;
int Right;
int Center;
int Left;
int Extra;


// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);

  Right = 50;
  Center = 51;
  Left = 53;
  Extra = 52;
  
  pinMode(Right,OUTPUT);
  pinMode(Left,OUTPUT);
  pinMode(Center,OUTPUT);
  pinMode(Extra,OUTPUT);
  
  digitalWrite(Right,HIGH);
  digitalWrite(Left,HIGH);
  digitalWrite(Center,HIGH);
  digitalWrite(Extra,HIGH);
  
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Vibtration Motor test!");
  
  peltier2.setSpeed(255);     // set the speed to 200/255
}

// the loop function runs over and over again forever
void loop() {
    if(Serial.available())
  {
    val = Serial.read();
  }
  
  if(val == 'A'){
    //activate all motors
    digitalWrite(Right,LOW);
    digitalWrite(Left,LOW);
    digitalWrite(Center,LOW);
    digitalWrite(Extra,LOW);
  } else if(val == 'C'){
    //activate center motor
    digitalWrite(Right,HIGH);
    digitalWrite(Left,HIGH);
    digitalWrite(Center,LOW);
    digitalWrite(Extra,HIGH);
  } else if(val == 'R'){
    //activate right motor
    digitalWrite(Right,LOW);
    digitalWrite(Left,HIGH);
    digitalWrite(Center,HIGH);
    digitalWrite(Extra,HIGH);
  } else if(val == 'L'){
    //activate left motor
    digitalWrite(Right,HIGH);
    digitalWrite(Left,LOW);
    digitalWrite(Center,HIGH);
    digitalWrite(Extra,HIGH);
  } else if(val == 'E'){
    //activate left motor
    digitalWrite(Right,HIGH);
    digitalWrite(Left,HIGH);
    digitalWrite(Center,HIGH);
    digitalWrite(Extra,LOW);
  }else{
  // Turn off all motors
  digitalWrite(Right,HIGH);
  digitalWrite(Left,HIGH);
  digitalWrite(Center,HIGH);
  digitalWrite(Extra,HIGH);
  }
  delay(300);
  
}
